<?php

if ( !defined('ABSPATH') )
    define('ABSPATH', dirname(dirname(dirname(dirname(__FILE__)))) . '/');
require_once(ABSPATH . 'wp-config.php');
global $wpdb;

$task = $_POST["task"];

if($task == "add_profile"){
	$profileName = $_POST["profileName"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_profiles';
	$rs = $wpdb->get_results("SELECT * from $tableName where profileName = '".$profileName."'");
	
	if($rs){
		echo "This profile already exists!";
	}else{
		$tableName = $wpdb->prefix . 'scwbtbsr_profiles';
		echo $wpdb->insert( $tableName,
			array( 
				'profileName' => $profileName
		));
	}
}elseif($task == "delete_profile"){
	$profileId = $_POST["profileId"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_profiles';
	echo $wpdb->delete( $tableName, array(
		'id' => $profileId
	));
	
	$tableTypes = $wpdb->prefix . 'scwbtbsr_types';
	$wpdb->delete( $tableTypes, array(
		'profileid' => $profileId
	));
	
	$tableSchedule = $wpdb->prefix . 'scwbtbsr_schedules';
	$wpdb->delete( $tableSchedule, array(
		'profileid' => $profileId
	));
	
	$tableProducts = $wpdb->prefix . 'scwbtbsr_products';
	$wpdb->delete( $tableProducts, array(
		'profileid' => $profileId
	));
	
	$tablePriceType = $wpdb->prefix . 'scwbtbsr_pricetypes';
	$wpdb->delete( $tablePriceType, array(
		'profileid' => $profileId
	));
	
	$tablePriceMapping = $wpdb->prefix . 'scwbtbsr_pricemapping';
	$wpdb->delete( $tablePriceMapping, array(
		'profileid' => $profileId
	));
	
	$tableMapso = $wpdb->prefix . 'scwbtbsr_mapso';
	$wpdb->delete( $tableMapso, array(
		'profileid' => $profileId
	));
	
	$tableMapping = $wpdb->prefix . 'scwbtbsr_mapping';
	$wpdb->delete( $tableMapping, array(
		'profileid' => $profileId
	));
	
	$tableDailytimes = $wpdb->prefix . 'scwbtbsr_dailytimes';
	$wpdb->delete( $tableDailytimes, array(
		'profileid' => $profileId
	));
	
	$tableDailyschedule = $wpdb->prefix . 'scwbtbsr_dailyschedules';
	$wpdb->delete( $tableDailyschedule, array(
		'profileid' => $profileId
	));
}elseif($task == "save_profile_name"){
	$profileId = $_POST["profileId"];
	$newProfilename = $_POST["newProfilename"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_profiles';
	echo $wpdb->update($tableName, array(
		'profileName' => $newProfilename
	),array(
		'id' => $profileId
	));
}elseif($task == "add_type"){
	$profileId = $_POST["profileId"];
	$typeLabel = $_POST["typeLabel"];
	$typeColor = $_POST["typeColor"];
	$typeIcon = $_POST["typeIcon"];
	$typeOption = $_POST["typeOption"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_types';
	$rs = $wpdb->get_results("SELECT * from $tableName where label = '".$label."' and profileid = ".$profileId);
	
	if($rs){
		echo "This seat type already exists!";
	}else{
		$tableName = $wpdb->prefix . 'scwbtbsr_types';
		echo $wpdb->insert( $tableName,
			array( 
				'profileid' => $profileId,
				'label' => $typeLabel,
				'color' => $typeColor,
				'icon' => $typeIcon,
				'type' => $typeOption
		));
	}
}elseif($task == "save_type"){
	$typeid = $_POST["typeid"];
	$thislabel = $_POST["thislabel"];
	$thiscolor = $_POST["thiscolor"];
	$thisicon = $_POST["thisicon"];
	$thistype = $_POST["thistype"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_types';
	echo $wpdb->update($tableName, array(
		'label' => $thislabel,
		'color' => $thiscolor,
		'icon' => $thisicon,
		'type' => $thistype
	),array(
		'id' => $typeid
	));
}elseif($task == "delete_type"){
	$typeid = $_POST["typeid"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_types';
	echo $wpdb->delete( $tableName, array(
		'id' => $typeid
	));
	
	$tableMapping = $wpdb->prefix . 'scwbtbsr_mapping';
	$wpdb->delete( $tableMapping, array(
		'typeid' => $typeid
	));
	
	$tablePriceMapping = $wpdb->prefix . 'scwbtbsr_pricemapping';
	$wpdb->delete( $tablePriceMapping, array(
		'typeid' => $typeid
	));
}elseif($task == "add_schedule"){
	$profileId = $_POST["profileId"];
	$schedule = $_POST["schedule"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_schedules';
	$rs = $wpdb->get_results("SELECT * from $tableName where profileid = '".$profileId."' and schedule = '".$schedule."'");
	
	if($rs){
		echo "This schedule already exists!";
	}else{
		$tableName = $wpdb->prefix . 'scwbtbsr_schedules';
		echo $wpdb->insert( $tableName,
			array( 
				'profileid' => $profileId,
				'schedule' => $schedule
		));
	}
}elseif($task == "save_schedule"){
	$scheid = $_POST["scheid"];
	$thisschedule = $_POST["thisschedule"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_schedules';
	echo $wpdb->update($tableName, array(
		'schedule' => $thisschedule
	),array(
		'id' => $scheid
	));
}elseif($task == "delete_schedule"){
	$scheid = $_POST["scheid"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_schedules';
	echo $wpdb->delete( $tableName, array(
		'id' => $scheid
	));
}elseif($task == "change_daily"){
	$profileId = $_POST["profileId"];
	$dailys = implode(",", $_POST["dailys"]);
	
	$tableName = $wpdb->prefix . 'scwbtbsr_dailyschedules';
	$rs = $wpdb->get_results("SELECT * from $tableName where profileid = ".$profileId);
	
	if($rs){
		echo $wpdb->update($tableName, array(
			'daily' => $dailys
		),array(
			'profileid' => $profileId
		));
	}else{
		echo $wpdb->insert( $tableName,
			array( 
				'profileid' => $profileId,
				'daily' => $dailys
		));
	}
}elseif($task == "add_time"){
	$profileId = $_POST["profileId"];
	$scheduletime = $_POST["scheduletime"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_dailytimes';
	$rs = $wpdb->get_results("SELECT * from $tableName where profileid = '".$profileId."' and time = '".$scheduletime."'");
	
	if($rs){
		echo "This time already exists!";
	}else{
		echo $wpdb->insert( $tableName,
			array( 
				'profileid' => $profileId,
				'time' => $scheduletime
		));
	}
}elseif($task == "save_time"){
	$thistimeid = $_POST["thistimeid"];
	$thistimetime = $_POST["thistimetime"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_dailytimes';
	echo $wpdb->update($tableName, array(
		'time' => $thistimetime
	),array(
		'id' => $thistimeid
	));
}elseif($task == "delete_time"){
	$thistimeid = $_POST["thistimeid"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_dailytimes';
	echo $wpdb->delete( $tableName, array(
		'id' => $thistimeid
	));
}elseif($task == "add_pricetype"){
	$profileId = $_POST["profileId"];
	$ptype = $_POST["ptype"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_pricetypes';
	$rs = $wpdb->get_results("SELECT * from $tableName where profileid = '".$profileId."' and type = '".$ptype."'");
	
	if($rs){
		echo "This type already exists!";
	}else{
		echo $wpdb->insert( $tableName,
			array( 
				'profileid' => $profileId,
				'type' => $ptype
		));
	}
}elseif($task == "save_pricetype"){
	$pricetypeid = $_POST["pricetypeid"];
	$pricetype = $_POST["pricetype"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_pricetypes';
	echo $wpdb->update($tableName, array(
		'type' => $pricetype
	),array(
		'id' => $pricetypeid
	));
}elseif($task == "delete_pricetype"){
	$pricetypeid = $_POST["pricetypeid"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_pricetypes';
	echo $wpdb->delete( $tableName, array(
		'id' => $pricetypeid
	));
}elseif($task == "save_price_mapping"){
	$typeid = $_POST["typeid"];
	$profileId = $_POST["profileId"];
	$pricemapping = explode("@", $_POST["pricemapping"]);
	
	$tableName = $wpdb->prefix . 'scwbtbsr_pricemapping';
		
	foreach($pricemapping as $map){
		$map = explode("#", $map);
		
		$rs = $wpdb->get_results("SELECT * from $tableName where profileid = '".$profileId."' and typeid = '".$typeid."' and pricetypeid = '".$map[0]."'");
		
		if($rs){
			$wpdb->update($tableName, array(
				'price' => $map[1]
			),array(
				'profileid' => $profileId,
				'typeid' => $typeid,
				'pricetypeid' => $map[0]
			));
		}else{
			$wpdb->insert( $tableName,
				array( 
					'profileid' => $profileId,
					'typeid' => $typeid,
					'pricetypeid' => $map[0],
					'price' => $map[1]
			));
		}
	}
	echo 1;
}elseif($task == "save_mapso"){
	$profileId = $_POST["profileId"];
	$rows = $_POST["rows"];
	$columns = $_POST["columns"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_mapso';
	$rs = $wpdb->get_results("SELECT * from $tableName where profileid = ".$profileId);
		
	if($rs){
		echo $wpdb->update($tableName, array(
			'rows' => $rows,
			'columns' => $columns
		),array(
			'profileid' => $profileId
		));
	}else{
		echo $wpdb->insert( $tableName,
			array( 
				'profileid' => $profileId,
				'rows' => $rows,
				'columns' => $columns
		));
	}
}elseif($task == "save_mapping"){
	$profileId = $_POST["profileId"];
	$mapping = $_POST["mapping"];
	
	$maps = explode("@", $mapping);
	foreach($maps as $map){
		$checkmap = explode("#", $map);
		
		$tableName = $wpdb->prefix . 'scwbtbsr_mapping';
		$rs = $wpdb->get_results("SELECT * from $tableName where profileid = ".$profileId." and seat = '".$checkmap[0]."'");
			
		if($rs){
			$wpdb->update($tableName, array(
				'label' => $checkmap[1],
				'typeid' => $checkmap[2]
			),array(
				'profileid' => $profileId,
				'seat' => $checkmap[0]
			));
		}else{
			$wpdb->insert( $tableName,
				array( 
					'profileid' => $profileId,
					'seat' => $checkmap[0],
					'label' => $checkmap[1],
					'typeid' => $checkmap[2]
			));
		}
	}
	echo 1;
}elseif($task == "reset_mapping"){
	$profileId = $_POST["profileId"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_mapping';
	echo $wpdb->delete( $tableName, array(
		'profileid' => $profileId
	));
}elseif($task == "add_profiletoproduct"){
	$profileid = $_POST["profileid"];
	$productid = $_POST["productid"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_products';
	$rs = $wpdb->get_results("SELECT * from $tableName where productid = ".$productid);
		
	if($rs){
		echo $wpdb->update($tableName, array(
			'profileid' => $profileid
		),array(
			'productid' => $productid
		));
	}else{
		echo $wpdb->insert( $tableName,
			array( 
				'profileid' => $profileid,
				'productid' => $productid
		));
	}
}elseif($task == "check_schedule"){
	$schedule = $_POST["schedule"];
	$proid = $_POST["proid"];
	
	$_SESSION["schedule".$proid] = $schedule;
	
	$bookedSeats = "";
	
	$tableName = $wpdb->prefix . 'scwbtbsr_orders';
	$orders = $wpdb->get_results("SELECT * from $tableName where schedule = '".$schedule."'");
	
	if($orders){
		foreach($orders as $order){
			if($bookedSeats)
				$bookedSeats .= ",".$order->seats;
			else
				$bookedSeats .= $order->seats;
		}
	}
	
	$tableProduct = $wpdb->prefix . 'scwbtbsr_products';
	$getProfile = $wpdb->get_results("SELECT * from $tableProduct where productid = '".$proid."'");
	$fileid = $getProfile[0]->profileid;
	
	$tableTypes = $wpdb->prefix . 'scwbtbsr_types';
	$getBooked = $wpdb->get_results("SELECT * from $tableTypes where profileid = '".$fileid."' and type = 'isbooked'");
	$typeid = $getBooked[0]->id;
	
	$tableMapping = $wpdb->prefix . 'scwbtbsr_mapping';
	$getIsBooked = $wpdb->get_results("SELECT * from $tableMapping where profileid = '".$fileid."' and typeid = '".$typeid."'");
	
	if($getIsBooked){
		foreach($getIsBooked as $ib){
			if($bookedSeats)
				$bookedSeats .= ",".$ib->label;
			else
				$bookedSeats .= $ib->label;
		}
	}
	
	echo $bookedSeats;
}elseif($task == "check_seats"){
	$schedule = $_POST["schedule"];
	$seats = $_POST["seats"];
	$option = $_POST["option"];
	$proid = $_POST["proid"];
	
	if(isset($_SESSION["seats".$proid])){
		$newSec = "";
		
		$check = explode("$", $_SESSION["seats".$proid]);
		foreach($check as $c){
			if($c){
				$checkC = explode("#", $c);
				if($checkC[0] != $option){
					if($newSec)
						$newSec .= "$".$c;
					else
						$newSec .= $c;
				}
			}
		}
		
		$_SESSION["seats".$proid] = $newSec."$".$option."#".$seats;
	}else
		$_SESSION["seats".$proid] = $option."#".$seats;
	
	echo $_SESSION["seats".$proid];
}elseif($task == "check_opseats"){
	$proid = $_POST["proid"];
	
	echo $_SESSION["seats".$proid];
}elseif($task == "delete_booked"){
	$thisid = $_POST["thisid"];
	
	$tableName = $wpdb->prefix . 'scwbtbsr_orders';
	echo $wpdb->delete( $tableName, array(
		'id' => $thisid
	));
}elseif($task == "print_tickets"){
	global $woocommerce;
	$orderid = $_POST["orderid"];
	
	$string = "";
	
	$order = wc_get_order( $orderid );
	$orderItems = $order->get_items();
	$order_meta = get_post_meta($orderid);
	
	$cur = $order_meta["_order_currency"][0];
	$name = $order_meta["_billing_first_name"][0]." ".$order_meta["_billing_last_name"][0];
	$email = $order_meta["_billing_email"][0];
	$phone = $order_meta["_billing_phone"][0];
	$address = $order_meta["_billing_address_1"][0];
	
	$string .= $cur." ".$order->get_total()."#".$name."#".$email."#".$phone."#".$address."#";
	
	$tableName = $wpdb->prefix . 'scwbtbsr_orders';
	$seatString = "";
	foreach($orderItems as $item){
		$proname = $item["name"];
		$proqty = $item["qty"];
		$proid = $item["product_id"];
		
		$orderSeats = $wpdb->get_results("SELECT * from $tableName where productId = ".$proid." and orderId = '".$orderid."'");
		if($orderSeats){
			$seatString .= $proname."&".$proqty."&";
			foreach($orderSeats as $seat){
				$seatString .= $seat->option ."@".$seat->seats ."%";
			}
		}
	}
	$string .= $seatString;
	echo $string;
}